<?xml version="1.0" encoding="utf-8"?><!--
	@author Dawid Kloch <dawid@kloch.pl>
	@version $Revision: 1.2 $
-->
<log4php:configuration xmlns:log4php="http://www.vxr.it/log4php/"
	threshold="all" debug="false">
	<!-- Definition file log -->
	<appender name="daily01" class="LoggerAppenderDailyFile">
		<param name="datePattern" value="Y-m-d" />
		<param name="file" value="./logs/CMS_%s.log" />
		<layout class="LoggerLayoutTTCC">
			<param name="threadPrinting" value="true" />
			<param name="categoryPrefixing" value="true" />
			<param name="contextPrinting" value="true" />
			<param name="microSecondsPrinting" value="false" />
			<param name="dateFormat" value="%Y-%m-%d %H:%M:%S" />
		</layout>
		<!-- <layout class="LoggerLayoutSimple"></layout> -->
	</appender>
	
 
	<appender name="dailyWarn01" class="LoggerAppenderDailyFile">
		<param name="datePattern" value="Y-m-d" />
		<param name="file" value="./logs/CMS_warn_%s.log" />
		<layout class="LoggerLayoutSimple"></layout>
		<filter class="LoggerLevelRangeFilter">
			<param name="LevelMin" value="warn" />
			<param name="LevelMax" value="warn" />
		</filter>
	</appender>


	<!-- Definition send mail -->
	<appender name="sendMailEvent" class="LoggerAppenderMailEvent">
		<param name="from" value="maciek@kloch.pl" />
		<param name="subject" value="CMS Log4PHP Report" />
		<param name="to" value="maciek@kloch.pl" />
		<layout class="LoggerLayoutTTCC">
			<param name="threadPrinting" value="true" />
			<param name="categoryPrefixing" value="true" />
			<param name="contextPrinting" value="true" />
			<param name="microSecondsPrinting" value="false" />
			<param name="dateFormat" value="%Y-%m-%d %H:%M:%S" />
		</layout>
		<filter class="LoggerLevelRangeFilter">
			<param name="LevelMin" value="fatal" />
			<param name="LevelMax" value="fatal" />
		</filter>
	</appender>
	
	<!-- Definition send mail -->
	<appender name="sendMail" class="LoggerAppenderMail">
		<param name="from" value="maciek@kloch.pl" />
		<param name="subject"
			value="CMS Log4PHP Report (sendMail)" />
		<param name="to" value="maciek@kloch.pl" />
		<layout class="LoggerLayoutHtml">
			<param name="locationInfo" value="true" />
			<param name="title" value="Mail report" />
		</layout>
		<filter class="LoggerLevelRangeFilter">
			<param name="LevelMin" value="error" />
			<param name="LevelMax" value="fatal" />
		</filter>
	</appender>

	<!-- Definition html info -->
	<appender name="htmlTable" class="LoggerAppenderEcho">
		<layout class="LoggerLayoutHtml">
			<param name="locationInfo" value="true" />
			<param name="title" value="LoggerAppenderEcho" />
		</layout>
		<filter class="LoggerLevelRangeFilter">
			<param name="LevelMin" value="warn" />
			<param name="LevelMax" value="warn" />
		</filter>
	</appender>


	<!-- Root section -->
	<root>
		<level value="debug" />
		<appender_ref ref="daily01" />
		<appender_ref ref="sendMailEvent" />
		<appender_ref ref="sendMail" />
		<!-- <appender_ref ref="dailyWarn01" /> -->
		<!-- <appender_ref ref="htmlTable" /> -->
	</root>
</log4php:configuration>
